Subject: Offline Message from Michael James: Hi I purchased a bike from you guys and I
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 12 Jun 2022 12:25:43 -0000

From: Michael James <[email-masked]>
Phone: 3474699960
Location: Maplewood, United States
URL: https://swagtron.com/product/swagtron-eb-7-swagcycle-long-range-ebike/
Department: SwagTron

Hi I purchased a bike from you guys and I love it. I would like to buy the eb7 but it’s saying the prices will go up soon. I’m currently saving up for the new one so could you tell me how long til the price change ? And how much of a price difference it will be ? 

----
Zopim
https://www.zopim.com